:root {
    --bck-color-brand: #8a2432;
    --bck-color-brand-rgb: 138, 36, 50;
    --bck-color-brand-2: #862633;
    --bck-color-brand-2-rgb: 134, 38, 51;
    --bck-color-brand-3-rgb: 105, 7, 21;
    --bck-color-offwhite: #eeeff0;
    --bck-btn-hover-bg: #731f2b;
    --bck-btn-active-bg: #731f2b;
    --bck-color-grey: #eeeff0;
    --bck-color-darkgrey: #1b2227;
    --bs-link-color-rgb: 134,36,50;
    --bs-link-hover-color-rgb: 0,0,255;
    --bs-dark-rgb: var(--bck-color-brand-3-rgb);
    --bs-body-font-family: 'Roboto Condensed';
    --bck-action-table-hover: #ffff0036;
}

/* -------------------------------------------------------------------------- */

.btn-primary {
    --bs-btn-bg: var(--bck-color-brand);
    --bs-btn-border-color: var(--bck-color-brand);

    --bs-btn-disabled-bg: #ccc;
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-border-color: #ccc;
    --bs-btn-disabled-opacity: 0.5;

    --bs-btn-hover-bg: var(--bck-btn-hover-bg);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-border-color: var(--bck-btn-hover-bg);

    --bs-btn-active-bg: var(--bck-btn-active-bg);
    --bs-btn-active-color: #fff;
    --bs-btn-active-border-color: var(--bck-btn-active-bg);

}

/* -------------------------------------------------------------------------- */

.nav {
    --bs-nav-link-font-weight: 600;
    --bs-nav-link-color: var(--bck-color-brand);
    /*--bs-nav-link-hover-color: */
}

.nav-pills {
    --bs-nav-pills-border-radius: 0;
    --bs-nav-pills-link-active-bg: var(--bs-gray-dark);
}

.dropdown-menu {
    --bs-dropdown-link-hover-color: #fff;
    --bs-dropdown-link-hover-bg: var(--bck-color-brand);
}

.nav-link {
    border-bottom: 1px solid #ccc;
}

/* -------------------------------------------------------------------------- */

.form-label {
    font-weight: 700;
    font-size: 1.1em;
}

.form-control,
.form-select {
    --bs-border-color: #333;
}

label.required::after {
    content: '✱'; /* U+2731 HEAVY ASTERISK — sits lower naturally */
    font-size: 1.2em;
    margin-left: 0.25em;
    color: #d00000;
}

.form-control.invalid,
.form-select.invalid {
    border: 1px solid rgb(200, 0, 0);
    background: rgba(255, 0, 0, .1);
}

/* -------------------------------------------------------------------------- */

.form-element-alerts {
    min-height: 1.5em;
    margin-top: 5px;
    display: flex;
    column-gap: 10px;
    flex-direction: row;
    flex-wrap: nowrap;
}

.form-element-alerts .form-element-alert {
    font-weight: 700;
    font-size: 80%;
}

.form-element-alerts .form-element-alert > span {
    letter-spacing: 1px;
}

.form-element-alerts .form-element-alert--danger {
    color: #990000;
}

.form-element-alerts .form-element-alert--success {
    color: #006700;
}

.form-element-alerts .form-element-alert--warning {
    color: #c100c1;
}

.form-element-alerts .form-element-alert--info {
    color: #0000ea;
}

/* -------------------------------------------------------------------------- */

.form-messages {
	--bs-bg-opacity: 1;
}

.form-messages--regular {
    padding: 10px;
	background-color: rgba(var(--bs-secondary-rgb),var(--bs-bg-opacity)) !important;
}

.form-messages--small {
    padding: 5px;
    background-color: transparent;
}

.form-messages .form-element-alert {
    font-weight: 700;
    background: #fff;
    border: 1px solid black;
    padding: .5em;
}

.form-messages .form-element-alert > span {
    letter-spacing: 1px;
}

.form-messages .form-element-alert--danger {
    color: #990000;
    background: #f5e8e9;
    border-color: #990000;
}

.form-messages .form-element-alert--success {
    color: #006700;
    background: #e7efe9;
    border-color: #006700;
}

.form-messages .form-element-alert--warning {
    color: #c100c1;
    background: #f4e8f6;
    border-color: #c100c1;
}

.form-messages .form-element-alert--info {
    color: #0000ea;
    background: #e7e8f9;
    border-color: #0000ea;
}

/* -------------------------------------------------------------------------- */

hr {
    margin: .8rem 0;
}

html, body {
    background-color: var(--bck-color-darkgrey);
    font-size: 10pt;
}

body {
    display: flex;
    flex-flow: column;
    height: 100vh;
}

header, footer {
    padding: 7px 20px 10px;
    color: #fff;
    background-color: var(--bck-color-brand-2);
}

nav.navbar {
    background: #ccc;
    padding-left: 20px;
    padding-right: 20px;
}

header h1 {
    margin: 0;
    font-size: 1.5rem;
}

header, footer, main {
    width: 100%;
    max-width: var(--page-width, auto);
    margin: 0 auto;
}

main {
    flex: 1;
    background: #fff;
}

main > h2 {
    margin: 0;
}

.section {
    padding: 10px 0;
}

.container {
    padding: 0;
    margin: 0;
}

/* -------------------------------------------------------------------------- */

.block {
    display: flex;
    column-gap: 1em;
    row-gap: 1em;
}

.block-vert {
    flex-direction: column;
}

.block-horiz {
    flex-direction: row;
}

/* -------------------------------------------------------------------------- */

.skip-link {
	background: #000;
	border-bottom-right-radius: 8px;
	color: #fff;
	font-weight: 700;
	left: 0;
	padding: 5px 10px;
	position: fixed;
	top: 0;
	transform: translateY(-102%);
	transition: transform .3s;
	z-index: 9999;
}

.skip-link:focus {
	transform: translateY(0);
}

/* -------------------------------------------------------------------------- */

legend {
    background-color: rgb(var(--bs-dark-rgb));
    color: #fff;
    padding: .25em .5em;
}

/* -------------------------------------------------------------------------- */

.form-header-container {
    width: 100%;
    position: relative;
}

.form-header-fixed {
    position: sticky;
    z-index: 1000;
    top: 0;
    background: var(--bck-color-offwhite);
    border-bottom: 1px solid #ccc;
}

/* -------------------------------------------------------------------------- */

#primary_nav {
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    border-right: 1px solid #ccc;
    background-color: var(--bs-secondary-bg-subtle);
}

/* -------------------------------------------------------------------------- */

.expander-section .expander-section-target {
    display: none;
}

.expander-section {
    border-bottom: 1px solid var(--bs-secondary-bg-subtle);
	background-color: var(--bs-secondary-bg-subtle);
}

.expander-section[data-expanded="true"] {
    border-top: 1px solid var(--bs-success);
    border-bottom: 1px solid var(--bs-success);
	background-color: var(--bs-success-bg-subtle) !important;
}

.expander-section .expander-section-toggle {
    background: transparent;
    border-radius: 5px;
    padding: 0.25em;
}

.expander-section .expander-section-toggle,
.expander-section .expander-section-toggle label {
    cursor: pointer;
}
.expander-section .expander-section-toggle:hover {
    background: rgba(255, 255, 255, 0.5);
}

.expander-section[data-expanded="true"] .expander-section-target {
    display: block;
}

/* -------------------------------------------------------------------------- */

.request-form {
    position: relative;
}

.request-form-buttons {
    position: sticky;
    z-index: 1000;
    top: 0;
    border-bottom: 1px solid #333;
}

/* -------------------------------------------------------------------------- */

.table-fixed-wrapper { flex: 1; overflow-y: auto; }
table.table-fixed { table-layout: fixed; width: 100%; border-collapse: collapse; margin-bottom: 0;}
table.table-fixed th { position: sticky; top: 0; background: #333; color: #fff; z-index: 10; box-shadow: 0 1px 0 #ccc; }
table.table-fixed th,
table.table-fixed td {
    border-right: 1px solid #ccc;
}
table.table-fixed th:last-child,
table.table-fixed td:last-child {
    border-right: none;
}
table.table-fixed td {
    vertical-align: middle;
}

/* -------------------------------------------------------------------------- */

.fuf-bigmenu {
    padding: 3rem;
    display: flex;
    flex-flow: column;
    row-gap: 3.5rem;
}

.fuf-bigmenu-item {
    display: flex;
    column-gap: 2rem;
    align-items: center;
}
.fuf-bigmenu-item > .fuf-bigmenu-item-button {
    flex: 1;
    --bs-btn-font-size: 1.7rem;
    --bs-btn-padding-y: 1.25rem;
}
.fuf-bigmenu-item > .fuf-bigmenu-item-description {
    flex: 3;
    font-size: 1.5rem;
}

/* -------------------------------------------------------------------------- */

.action-table {
	--bs-table-hover-bg: var(--bck-action-table-hover);
}

.action-table tr.action-row:hover {
    cursor: pointer;
}

/* -------------------------------------------------------------------------- */

